goo = require 'goo/goo'
anim = require 'anim/anim'
require("lua/AnAL.lua")


function love.load()
	goo:load()
	font = love.graphics.newFont("data/font.ttf", 24)
	love.graphics.setFont(font)
	background = love.graphics.newImage("data/menu.jpg")
	gameState = 0
	-- 0 is Menu, 1 is a Game, 2 is an options screen, 3 is ???
	mainMenu()
end


function love.update(dt)
	if gameState == 0 then
		goo:update(dt)
	end

end

function love.draw(dt)
	love.graphics.draw(background, 0, 0)
	goo:draw()
end

--MainMenu
function mainMenu() 
	local ngbutton = goo.button:new()
	ngbutton:setPos(100, 240)
	ngbutton:setText( "New Game" )
	ngbutton:sizeToText()
	function ngbutton:onClick(x,y,button)
		if button == 'l' then
			gameState = 1
		end
	end
	
	local opbutton = goo.button:new()
	opbutton:setPos(100, 266)
	opbutton:setText( "Options" )
	opbutton:sizeToText()
	function opbutton:onClick(x,y,button)
		if button == 'l' then
			gameState = 2
		end
	end
	
	exbutton = goo.button:new()
	exbutton:setPos(100, 292)
	exbutton:setText( "Exit" )
	exbutton:sizeToText()
	
	
	
	
--To fix wierd bug in buttons style
	local fixb = goo.button:new()
	fixb:setPos(-20, -20)
	fixb:setText( " " )
	fixb:sizeToText()
end




